stages:
  - test

include:
  - template: SAST.gitlab-ci.yml

bandit-sast:
  stage: test
  allow_failure: false
  before_script:
        - apk update && apk add jq bash
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: always
    - if: $CI_COMMIT_BRANCH == "master"
      when: always
  artifacts:
    when: always
    paths: [gl-sast-report.json]
    reports:
      sast: gl-sast-report.json
  script: |
    /analyzer run
    echo "starting script with bandit analyzer " 
    cd ci
    bash test-security-sast.sh
    echo "End of Security Scan"

scantist-test:
  stage: test
  allow_failure: false
  before_script:
        - apk update && apk add jq bash
        - apt update
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      when: always
    - if: $CI_COMMIT_BRANCH == "master"
      when: always 
  script: 
    - apt -y install default-jre
    - curl -s https://scripts.scantist.com/staging/scantist-bom-detect.jar --output scantist-bom-detect.jar
    - java -jar scantist-bom-detect.jar
